LAB-603 Update OpenAPI specification for Architectural Analysis APIs#48
Draft
LAB-603 Update OpenAPI specification for Architectural Analysis APIs#48
Conversation
Wrapped all 'examples' field with array.
Wrapped all 'examples' field with array.
- for components.parameters - for Core.SystemRequirements
- for SHIELD.json
… in schema as fallback.
- For SHIELD.json
- Ensured the examples array exist in both schema level and schema individual property level.
- Fixed the following path definition:
- /Api/Defend/Marketplace/Type/{securityClass}/Offering/{offeringId}
- /Api/Deploy
- /Api/Deploy/Progress
- /Api/Deploy/Version
- /Api/Update
- /Api/Update/Check
- /Api/Update/Check/Channel/{Update Channel Name}
- /Api/Update/Install
- /Api/Update/Install/Channel/{Update Channel Name}
- /Api/Update/Upload
…ass}` - also fixed a typo in Security Class schema definition.
… in schema as fallback.
- For Data-Gateway.json
- Ensured the examples array exist in both schema level and schema individual property level.
- Fixed the following parameters definition:
- correlationId
- tenantId
- channelName
- channelRing
- version
- parentId
- dateStart
- dateEnd
… in schema as fallback.
- For Data-Gateway.json
- Ensured the examples array exist in both schema level and schema individual property level.
- Fixed the following schemas definition:
- Core.HealthReport
- Chat.OpenAIChatMessage
- LicenseReport.CorrelationRecord
- LicenseReport.LicenseData
- LicenseReport.FeatureBreakdown
- LicenseReport
- LicenseEntitlement.Shield
- LicenseEntitlement.Shield.Count
- Telemetry.Shield
- Update.Shield.Check
- Update.Shield.Channel
- Update.Shield.Channel.Ring
- Update.Shield.Tenant
- TenantDetails
… in schema as fallback.
- For Data-Gateway.json
- Ensured the examples array exist in both schema level and schema individual property level.
- Fixed the following path definition:
- Api/Tenant
- Api/Core/Health
… in schema as fallback.
- For Data-Gateway.json
- Ensured the examples array exist in both schema level and schema individual property level.
- Fixed the following path definition:
- GET Api/Tenant/{tenantId}
- PATCH Api/Tenant/{tenantId}
… in schema as fallback.
- For Data-Gateway.json
- Ensured the examples array exist in both schema level and schema individual property level.
- Fixed the following path definition:
- POST /Api/Telemetry/ShieldApi/Tenant/{tenantId}
- GET /Api/Telemetry/Shield
- GET /Api/Telemetry/Shield/Tenant/{tenantId}
- DELETE /Api/Telemetry/Shield/Tenant/{tenantId}/Correlation/{correlationId}
- POST /Api/Chat/LicenseGpt
- POST /Api/Chat/LicenseGpt/Tenant/{tenantId}
… in schema as fallback.
- For Data-Gateway.json
- Ensured the examples array exist in both schema level and schema individual property level.
- Fixed the following path definitions:
- POST /Api/LicenseReport
- GET /Api/LicenseReport/Correlation
- GET /Api/LicenseReport/Correlation/Tenant/{tenantId}
- GET /Api/LicenseReport/Correlation/{correlationId}/Data
- DELETE /Api/LicenseReport/Correlation/{correlationId}/Data
- GET /Api/LicenseReport/Correlation/{correlationId}/Tenant/{tenantId}/Data
- DELETE /Api/LicenseReport/Correlation/{correlationId}/Tenant/{tenantId}/Data
- POST /Api/Entitlement/Shield
- GET /Api/Entitlement/Shield/Active
- GET /Api/Entitlement/Shield/Tenant/{tenantId}
- DELETE /Api/Entitlement/Shield/Tenant/{tenantId}/Correlation/{correlationId}
… in schema as fallback.
- For Data-Gateway.json
- Ensured the examples array exist in both schema level and schema individual property level.
- Fixed the following path definitions:
- GET /Api/Update/Shield/Channel
- GET /Api/Update/Shield/Channel/{channelName}
- PATCH /Api/Update/Shield/Channel/{channelName}
- DELETE /Api/Update/Shield/Channel/{channelName}
- This commit also fixed #37
… in schema as fallback.
- For Data-Gateway.json
- Ensured the examples array exist in both schema level and schema individual property level.
- Fixed the following path definitions:
- GET /Api/Update/Shield/Channel/{channelName}/Ring
- GET /Api/Update/Shield/Channel/{channelName}/Ring/{number}
- PATCH /Api/Update/Shield/Channel/{channelName}/Ring/{number}
- DELETE /Api/Update/Shield/Channel/{channelName}/Ring/{number}
- POST /Api/Update/Shield/Channel/{channelName}/Version/{version}
- GET /Api/Update/Shield/Check
- GET /Api/Update/Shield/Check/Channel/{channelName}
- GET /Api/Update/Shield/Download
- GET /Api/Update/Shield/Download/Channel/{channelName}
- GET /Api/Update/Shield/Tenant/{tenantId}
- PATCH /Api/Update/Shield/Tenant/{tenantId}
- DELETE /Api/Update/Shield/Tenant/{tenantId}
- TenantMetadata - SecurityPosture - ArchitectureReport - PrincipalAssignment
…I route. - also replaced nullable: true with type: "null" in PrincipalAssignment schema.
- also remove the dateStart and dateEnd query parameters definition.
Signed-off-by: Ferry To <ferry_to@shilab.com>
This file contains hidden or bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Sign up for free
to join this conversation on GitHub.
Already have an account?
Sign in to comment
Add this suggestion to a batch that can be applied as a single commit.This suggestion is invalid because no changes were made to the code.Suggestions cannot be applied while the pull request is closed.Suggestions cannot be applied while viewing a subset of changes.Only one suggestion per line can be applied in a batch.Add this suggestion to a batch that can be applied as a single commit.Applying suggestions on deleted lines is not supported.You must change the existing code in this line in order to create a valid suggestion.Outdated suggestions cannot be applied.This suggestion has been applied or marked resolved.Suggestions cannot be applied from pending reviews.Suggestions cannot be applied on multi-line comments.Suggestions cannot be applied while the pull request is queued to merge.Suggestion cannot be applied right now. Please check back later.
This is a recreate of closed #41 after rebase.